%define name gweled
%define version 0.9.1
%define release %mkrel 2

Summary: Clone of Bejeweled, align 3 crystals in a row to make them disappear
Summary(de): Bejeweled-Clone, 3 Kristalle in einer Zeile ausrichten
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://launchpad.net/%name/trunk/%version/+download/%{name}-%{version}.tar.xz
Patch0: gweled-0.9.1-fix-open.patch
License: GPLv2+
Group: Games/Puzzles
URL: https://launchpad.net/gweled
BuildRequires: gtk+2-devel
BuildRequires: librsvg-devel
BuildRequires: libgnomeui2-devel
BuildRequires: libglade2.0-devel
BuildRequires: libmikmod-devel
BuildRequires: ImageMagick
BuildRoot: %{_tmppath}/%{name}-buildroot
Obsoletes:  	%name < %version


%description
Gweled is a Gnome version of a popular PalmOS/Windows/Java game called
"Bejeweled" or "Diamond Mine". The aim of the game is to make
alignment of 3 or more gems, both vertically or horizontally by
swapping adjacent gems. The game ends when there are no possible moves
left.

%description -l de
Gweled ist ein Gnome-Version eines populären PalmOS/Windows/Java-Spiel namens 
"Bejeweled" oder "Diamond Mine". Das Ziel des Spiels ist es 3 gleiche oder mehr
Juwelen vertikal oder horizontal durch angrenzende Edelsteine aus zu tauschen. 
Das Spiel endet wenn kein Züge mehr möglich ist. 

%prep
%setup -q
%patch0 -p1

%build
export LDFLAGS="-export-dynamic"
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Games-Puzzles" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

install -m 0644 data/apps_48x48_gweled.png $RPM_BUILD_ROOT%_datadir/pixmaps/%name.png


%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc NEWS AUTHORS
%attr(2555, root, games) %_bindir/%name
%_datadir/applications/%name.desktop
%_datadir/sounds/%name
%_datadir/%name
%_datadir/pixmaps
%_datadir/icons/hicolor/*/apps/%name.*
%attr(664, games, games) %_localstatedir/games/%name.*.scores
%_datadir/locale

%changelog
* Sat Oct 15 2011 leiche <meisssw01 at gmail.com> 0.9-2pclos2011
- rebuild for 64 bit

* Mon Apr 04 2011 pcserver <pcserver at hush.com> 0.9-1pclos2011
- 0.9

* Sat Dec 12 2009 maik3531 <maik3531 at yahoo dot de> 0.7-1pclos2010
- sync with 0.7-7mdv2009.1
- add german description

* Fri May 04 2007 Texstar <texstar@gmail.com> 0.7-1pclos2007
- import into pclos 2007


